<!--
  Generated template for the EditOpenRidePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Edit Open Ride</ion-title>
  </ion-navbar>
</ion-header>

<ion-content>
	<div class="form pad-sides-10 pad-bottom">
		<ion-item>
			<strong>From</strong> {{ride.location_from}}
		</ion-item>
		<ion-item>
			<strong>To</strong> {{ride.location_to}}
		</ion-item>

		<ion-item>
		    <ion-label><strong>Start Date</strong></ion-label>
		    <ion-input [(ngModel)]="ride.open_date_from"
		        type="date" [min]="date">
		    </ion-input>
	  	</ion-item>
	  	<ion-item>
		    <ion-label><strong>End Date</strong></ion-label>
		    <ion-input [(ngModel)]="ride.open_date_to"
		        type="date" [min]="date">
		    </ion-input>
	  	</ion-item>

  		<div class="badge badge-success" *ngFor="let item of OpenHours">
  			<span *ngIf="!hourSwtich; else anotherHours"> {{item.hour}} </span> 
  			<ng-template #anotherHours> {{item}} </ng-template> 
  		</div>

		<button ion-button small (click)="openSelect()" color="light">Change Hours</button>
  		<ion-select #openHours [(ngModel)]="OpenHours" multiple="true" class="openHours" (ngModelChange)="onChange()">
		          <ion-option value="{{item.hour}}" *ngFor="let item of hours">{{item.hour}}</ion-option>
		</ion-select>

	  	<ion-grid>
	  		<ion-row>
				<ion-col col-5>
		    		<ion-label>Price</ion-label>
		    	</ion-col>

				<ion-col col-2 class="text-left">
					<button (click)="subPrice()" class="priceIcons">
						<ion-icon name="remove" class="grey-circle"></ion-icon>
					</button>
				</ion-col>
				<ion-col col-3>
					<h4 class="text-center" style="padding:16px 0 0 17px"> 
					${{ ride.price }} </h4>
				</ion-col>
				<ion-col col-2>
					<button (click)="addPrice()" class="priceIcons">
						<ion-icon name="add" class="grey-circle"></ion-icon>
					</button>
				</ion-col>
			</ion-row>

			<ion-row>
				<ion-col col-5>
					<ion-label style="text-align: left;">Seats</ion-label>
				</ion-col>
				<ion-col col-2 class="text-left">
					<button (click)="subSeats()" class="priceIcons">
						<ion-icon name="remove" class="grey-circle"></ion-icon>
					</button>
				</ion-col>
				<ion-col col-3>
					<h4 class="text-center" style="padding:16px 0 0 17px"> 
						{{ ride.seats }}</h4>
				</ion-col>
				<ion-col col-2>
					<button (click)="addSeats()" class="priceIcons">
						<ion-icon name="add" class="grey-circle"></ion-icon>
					</button>
				</ion-col>
				<ion-col col-2></ion-col>
			</ion-row>

			<ion-row>
				<ion-col col-5>
		    		<ion-label>Luggage</ion-label>
		    	</ion-col>

				<ion-col col-2 class="text-left">
					<button (click)="subLuggage()" class="priceIcons">
						<ion-icon name="remove" class="grey-circle"></ion-icon>
					</button>
				</ion-col>
				<ion-col col-3>
					<h4 class="text-center" style="padding:16px 0 0 17px"> 
					{{ ride.luggage_amount }} </h4>
				</ion-col>
				<ion-col col-2>
					<button (click)="addLuggage()" class="priceIcons">
						<ion-icon name="add" class="grey-circle"></ion-icon>
					</button>
				</ion-col>

			</ion-row>
	  	</ion-grid>
	  	<ion-item>
		    <ion-label><strong>Luggage Size</strong></ion-label>
		    <ion-select  [(ngModel)]="ride.luggage_size">
      			<ion-option value="Small" >Small</ion-option>
      			<ion-option value="Medium">Medium</ion-option>
      			<ion-option value="Large">Large</ion-option>
      		</ion-select>
	  	</ion-item>

	  	<ion-item>
		    <ion-label><strong>Description</strong></ion-label>
		    <ion-textarea [(ngModel)]="ride.description">{{ride.description}}
		    </ion-textarea>
	  	</ion-item>

	  	<button (click)="editRide()" ion-button full color="primary" class="btn rounded">Edit Ride</button>
	</div>
</ion-content>
